Skip to main content
GET
/
v1
/
crm
/
merchants
/
{merchantId}
/
service-acceptance
Get merchant service acceptance
curl --request GET \
  --url https://api.example.com/v1/crm/merchants/{merchantId}/service-acceptance \
  --header 'Authorization: Bearer <token>'
{
  "midId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cardPlans": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "<string>",
      "displayName": "<string>",
      "sortOrder": 0,
      "selected": true
    }
  ],
  "ebtFcsNumber": "<string>",
  "amexEsaNumber": "<string>"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

merchantId
string
required

Query Parameters

midId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Service acceptance configuration.

midId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
cardPlans
object[]
required
ebtFcsNumber
string | null
required
amexProgram
enum<string> | null
required
Available options:
opt_blue,
esa
amexEsaNumber
string | null
required
ebtBenefitMode
enum<string> | null
required
Available options:
cash_back_only,
food_stamps_only,
both